---
lang: en
title: 'API docs: http-caching-proxy.httpcachingproxy.logerror'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/http-caching-proxy
permalink: /doc/en/lb4/apidocs.http-caching-proxy.httpcachingproxy.logerror.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-caching-proxy](./http-caching-proxy.md) &gt; [HttpCachingProxy](./http-caching-proxy.httpcachingproxy.md) &gt; [logError](./http-caching-proxy.httpcachingproxy.logerror.md)

## HttpCachingProxy.logError() method

<b>Signature:</b>

```typescript
logError(request: IncomingMessage, error: Error): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | IncomingMessage |  |
|  error | Error |  |

<b>Returns:</b>

void


